Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2023-03-17 11:09:16

0001 #!/bin/bash
0002 
0003 # Pass in name and status
0004 function die {
0005   printf "\n%s: status %s\n" "$1" "$2"
0006   exit $2
0007 }
0008 
0009 # run test job
0010 TESTDIR="${LOCALTOP}"/src/HLTrigger/Configuration/test
0011 
0012 inputFileList="${TESTDIR}"/testAccessToEDMInputsOfHLTTests_filelist.txt
0013 
0014 if [ ! -f "${inputFileList}" ]; then
0015   printf "\n%s\n" "ERROR -- invalid path to file listing EDM input files:"
0016   printf "%s\n"   "         ${inputFileList}"
0017   exit 1
0018 fi
0019 
0020 for inputFile in $(cat "${inputFileList}"); do
0021   cmsRun "${TESTDIR}"/testAccessToEDMInputsOfHLTTests_cfg.py inputFiles="${inputFile}" \
0022     || die "Failure running testAccessToEDMInputsOfHLTTests_cfg.py" $?
0023 done
0024 unset inputFile